
                          BIND 9 IDN support

	       Japan Network Information Center (JPNIC)


* Compilation & installation

0. Prerequisite

You have to build and install idnkit before building bind9.

1. Running configure script

Run `configure' in the top directory.  See `README' for the
configuration options.

The following four options to `configure' are relevant to IDN.  You
should at least specify `--with-idn' option to enable IDN support.

    --with-idn[=IDN_PREFIX]
	To enable IDN support, you have to specify `--with-idn' option.
	The argument IDN_PREFIX is the install prefix of idnkit.  If
	IDN_PREFIX is omitted, PREFIX (derived from `--prefix=PREFIX')
	is assumed.

    --with-libiconv[=LIBICONV_PREFIX]
	Specify this option if idnkit you have installed links GNU
	libiconv.  The argument LIBICONV_PREFIX is install prefix of
	GNU libiconv.  If the argument is omitted, PREFIX (derived
	from `--prefix=PREFIX') is assumed.

	`--with-libiconv' is shorthand option for GNU libiconv.

	    --with-libiconv=/usr/local

	This is equivalent to:

	    --with-iconv='-L/usr/local/lib -R/usr/local/lib -liconv'

	`--with-libiconv' assumes that your C compiler has `-R'
	option, and that the option adds the specified run-time path
	to an executable binary.  If `-R' option of your compiler has
	different meaning, or your compiler lacks the option, you
	should use `--with-iconv' option instead.  Binary command
	without run-time path information might be unexecutable.
	In that case, you would see an error message like:

	    error in loading shared libraries: libiconv.so.2: cannot
	    open shared object file

	If both `--with-libiconv' and `--with-iconv' options are
	specified, `--with-iconv' is prior to `--with-libiconv'.

    --with-iconv=ICONV_LIBSPEC
	If your libc doesn't provide iconv(), you need to specify the
	library containing iconv() with this option.  `ICONV_LIBSPEC'
	is the argument(s) to `cc' or `ld' to link the library, for
	example, `--with-iconv="-L/usr/local/lib -liconv"'.
	You don't need to specify the header file directory for "iconv.h"
	to the compiler, as it isn't included directly by bind9.

    --with-idnlib=IDN_LIBSPEC
	With this option, you can explicitly specify the argument(s)
	to `cc' or `ld' to link the idnkit's library, `libidnkit'.  If
	this option is not specified, `-L${PREFIX}/lib -lidnkit' is
	assumed, where ${PREFIX} is the installation prefix specified
	with `--with-idn' option above.  You may need to use this
	option to specify extra arguments, for example,
	`--with-idnlib="-L/usr/local/lib -R/usr/local/lib -lidnkit"'.

Please consult `README' for other configuration options.

Note that if you want to specify some extra header file directories,
you should use the environment variable STD_CINCLUDES instead of
CFLAGS, as described in README.

2. Compilation and installation

After running "configure", just do

	make
	make install

for compiling and installing.


* Contact information

Please see http://www.nic.ad.jp/en/idn/ for the latest news
about idnkit.

Bug reports and comments on this kit should be sent to
mdnkit-bugs@nic.ad.jp and idn-cmt@nic.ad.jp, respectively.

; $Id: README.idnkit,v 1.1 2009-12-04 20:14:28 each Exp $
